import request from '@/utils/request'

export function fetchUserData() {
    return request.get('https://api.github.com/users/woai3c')
}

// 登录
export function login(params) {
    return request.post('/login_check', params)
}
// 修改密码
export function Modify(params) {
    return request.post('/admin/update_password', params)
}
// 显示通知
export function showContent(params) {
    return request.post('/user/DiscountInfo', params)
}
// 修改通知
export function EditContent(params) {
    return request.post('/UpdateDiscount', params)
}

/**
 * 用户
 */
// 用户列表
export function GetAdmin(params) {
    return request.post('/admin_list', params)
}
// 查询用户
export function searchAdmin(params) {
    return request.post('/admin/read', params)
}
// 编辑用户
export function editAdmin(params) {
    return request.post('/admin/update', params)
}
// 用户删除
export function deleteAdmin(params) {
    return request.post('/admin/delete', params)
}
// 用户新增
export function addAdmin(params) {
    return request.post('/admin/save', params)
}
// 导出
export function exportAdminAll(params) {
    return request.post('/admin/admin_all', params)
}
// 用户权限修改
export function PermissUpdate(params) {
    return request.post('/UpdatePermission', params)
}
// 用户权限读取
export function PermissRead(params) {
    return request.post('/UpdatePermission', params)
}

/**
 * 订单
 */
// 潜江-------获取充电订单数据
export function getChargeOrder(params) {
    return request.get('/getChargeOrder', { params })
}
// 潜江-------获取充值订单数据
export function getReChargeOrder(params) {
    return request.get('/getRechargeOrder', { params })
}
// 获取订单信息
export function GetOrder(params) {
    return request.post('/ChargeOrder/read_order', params)
}
// 获取大足地址信息
export function GetpositionData(params) {
    return request.post('/ChargeOrder/StreetWithName', params)
}
// 订单号查询订单
export function GetOneOrder(params) {
    return request.post('/ChargeOrder/read_order', params)
}
// 获取充电桩信息
export function GetChargeZ(params) {
    return request.post('/ChargeOrder/read_equipment', params)
}
// 获取总量
export function GetTotal(params) {
    return request.post('/ChargeOrder/read_total', params)
}
// 按照时间查询
export function GetTimeData(params) {
    return request.post('/ChargeStation/Time_Data', params)
}
// 充值按照时间查询
export function ReGetTimeData(params) {
    return request.post('/ChargeStation/Recharge_Total', params)
}
// 导出充电站信息
export function exportstationAll(params) {
    return request.post('/ChargeStation/station_all', params)
}
// 导出订单
export function exportOrderAll(params) {
    return request.post('/OrderExport', params)
}
// 导出充值
export function exportRecharge(params) {
    return request.post('/RechargeAllExport', params)
}
// 按照范围查询
export function GetDatabyRound(params) {
    return request.post('/ChargeStation/Order_Total', params)
}
// 按照范围查询
export function GetTotalround(params) {
    return request.post('/ChargeStation/Time_Data_Total', params)
}
// 充值记录
export function GetRecharge(params) {
    return request.post('/RechargeAll', params)
}
// 订单模糊查询
export function GetFuzzyOrder(params) {
    return request.post('/FuzzyOrder', params)
}
// 订单模糊查询2
export function GetFuzzyOrder1(params) {
    return request.post('/FuzzyOrder', params)
}
// 订单查询
export function GettheOrder(params) {
    return request.post('/FuzzyOrder', params)
}
// /尖峰
export function Electricity(params) {
    return request.post('/Electricity', params)
}
// /尖峰
export function ElectricityStation(params) {
    return request.post('/Electricity', params)
}
export function FindRechargeOrder(params) {
    return request.post('/FindRechargeOrder', params)
}
export function RefundQuery(params) {
    return request.post('/RefundQuery', params)
}
export function RefundQuery1(params) {
    return request.post('/RefundQuery', params)
}
// 退款可视化
export function RefundTotal(params) {
    return request.post('/Refund_Total', params)
}
// 收支报表
export function AmountExcel(params) {
    return request.post('/AmountExcel', params)
}
/**
 * 车辆
 */
// 公交车报表
export function SearchBusMessage(params) {
    return request.post('/Bus/BusOrderPark', params)
}
// 公交车总报表
export function SearchtotalBusMessage(params) {
    return request.post('/Bus/SearchMessage', params)
}
// 公交车报表单个
export function SearchperBusMessage(params) {
    return request.post('/Bus/SearchMessage', params)
}
// 公交车更新余额
export function ChangeSpecialUserBalance(params) {
    return request.post('/Bus/ChangeSpecialUserBalance', params)
}
// 公交车汇总表
export function BusDataStatistics(params) {
    return request.post('/Bus/DataStatistics', params)
}
// 展示VIN和车牌号
export function ShowVinLicense(params) {
    return request.post('/Bus/ShowVinLicense', params)
}
export function ShowVinLicense1(params) {
    return request.post('/Bus/ShowVinLicense', params)
}
// 绑定车辆和车牌号
export function AddVinLicense(params) {
    return request.post('/Bus/AddVinLicense', params)
}
// 删除车辆和车牌号
export function DeleteVinLicense(params) {
    return request.post('/Bus/DeleteVinLicense', params)
}
// 编辑车辆信息
export function UpdateVinLicense(params) {
    return request.post('/Bus/UpdateVinLicense', params)
}
// 车辆列表
export function ParkNoShow(params) {
    return request.post('/Bus/ParkNo', params)
}
/**
 * event
 */
// 活动列表
export function ShowEvent(params) {
    return request.post('/ShowEvent', params)
}
// 新增列表
export function AddEvent(params) {
    return request.post('/AddEvent', params)
}
// 编辑列表
export function EditEvent(params) {
    return request.post('/EditEvent', params)
}
// 删除列表
export function DeleteEvent(params) {
    return request.post('/DeleteEvent', params)
}
// 监控列表
export function MonitorList(params) {
    return request.post('/MonitorList', params)
}
// 查询监控
export function ParkNoShowEvent(params) {
    return request.post('/MonitorId', params)
}
/**
 * position
 */
// 获取位置信息
export function GetPosition(params) {
    return request.post('/ChargeStation/index', params)
}
// 搜索充电站
export function searchStation(params) {
    return request.post('/ChargeStation/index', params)
}
// 修改定价
export function ChangeCharge(params) {
    return request.post('/StationPriceUpdate', params)
}
// 导出
export function exportAll(params) {
    return request.post('/ChargeStation/station_all', params)
}
//  故障
export function Getwarning(params) {
    return request.post('/ChargeStation/FaultInfo', params)
}
// 获取电站价格
export function GetPerPrice(params) {
    return request.post('/StationPrice', params)
}
/**
 * table
 */
// 用户列表
export function GetUser(params) {
    return request.post('/UserList', params)
}
// 查询用户
export function searchUser(params) {
    return request.post('/user/read', params)
}
// 编辑用户
export function editUser(params) {
    return request.post('/user/update', params)
}
// 用户删除
export function deleteUser(params) {
    return request.post('/DeleteEnterpriseUser', params)
}
// 导出
export function exportUserAll(params) {
    return request.post('/user/user_all', params)
}
// 查订单
export function OrderQuery(params) {
    return request.post('/OrderQuery', params)
}
// 获取企业用户组
export function GetGroup(params) {
    return request.post('/GetGroup', params)
}
// 获取企业列表
export function getEnterpriseList(params) {
    return request.get('/enterprise/index', { params })
}
// 企业列表-添加
export function getEnterpriseSave(params) {
    return request.post('/enterprise/save', params)
}
// 企业列表-只读
export function getEnterpriseRead(params) {
    return request.post('/enterprise/read', params)
}
// 企业列表-编辑
export function getEnterpriseUpdate(params) {
    return request.post('/enterprise/update', params)
}
// 企业列表-删除
export function getEnterpriseDelete(params) {
    return request.post('/enterprise/delete', params)
}
// 获取企业用户列表
export function getEnterpriseUserList(params) {
    return request.get('/enterpriseUser/index', { params })
}
// 企业用户-添加
export function getEnterpriseUserSave(params) {
    return request.post('/enterpriseUser/save', params)
}
// 企业用户-只读
export function getEnterpriseUserRead(params) {
    return request.post('/enterpriseUser/read', params)
}
// 企业用户-编辑
export function getEnterpriseUserUpdate(params) {
    return request.post('/enterpriseUser/update', params)
}
// 企业用户-删除
export function getEnterpriseUserDelete(params) {
    return request.post('/enterpriseUser/delete', params)
}
// 获取企业车辆列表
export function getEnterpriseCarList(params) {
    return request.get('/enterpriseCar/index', { params })
}
// 企业车辆-添加
export function getEnterpriseCarSave(params) {
    return request.post('/enterpriseCar/save', params)
}
// 企业车辆-只读
export function getEnterpriseCarRead(params) {
    return request.post('/enterpriseCar/read', params)
}
// 企业车辆-编辑
export function getEnterpriseCarUpdate(params) {
    return request.post('/enterpriseCar/update', params)
}
// 企业车辆-删除
export function getEnterpriseCarDelete(params) {
    return request.post('/enterpriseCar/delete', params)
}
// 企业组搜索用户
export function NormalSearch(params) {
    return request.post('/NormalSearch', params)
}
// 查询企业
export function EnterpriseGroupList(params) {
    return request.post('/EnterpriseGroupAdd', params)
}
// 新增企业成员
export function NormalToEnterprise(params) {
    return request.post('/NormalToEnterprise', params)
}
// 删除组
export function DeleteEnterpriseGroup(params) {
    return request.post('/DeleteEnterpriseGroup', params)
}
// 电话查找
export function PhoneSearch(params) {
    return request.post('/PhoneSearch', params)
}
// 修改组
export function EnterpriserUserEdit(params) {
    return request.post('/EnterpriserUserEdit', params)
}
// 查询服务费
export function ShowServiceFee(params) {
    return request.post('/ShowServiceFee', params)
}
// 更新服务费
export function UpdateServiceFee(params) {
    return request.post('/UpdateServiceFee', params)
}
// 查看该用户充值详情
export function RechargeMessage(params) {
    return request.post('/RechargeMessage', params)
}
// 查看该用户提现详情
export function RefundMessage(params) {
    return request.post('/RefundMessage', params)
}
// 显示预约时间
export function ShowAppointmentTime(params) {
    return request.post('/ShowAppointmentTime', params)
}
// 修改预约时间
export function ModifyAppointmentTime(params) {
    return request.post('/ModifyAppointmentTime', params)
}

// 活动
export function getEventList(params) {
    return request.post('/eventList2', params)
}
// 退款订单
export function getRefundOrder(params) {
    return request.get('/getRefundOrder', { params })
}
// 权限
export function GetRole(params) {
    return request.get('/getRoleList', { params })
}
// 权限
export function getMenuList(params) {
    return request.get('/getMenuList', { params })
}
// 日志
export function getLogList(params) {
    return request.get('/getLogList', { params })
}
// 运营数据
export function getYunYingData(params) {
	return request.get('/getYunYingData', { params })
}
// 财务数据
export function getCaiWuData(params) {
	return request.get('/getCaiWuData', { params })
}
// 充电站列表
export function getStationList(params) {
	return request.get('/getStationList', { params })
}
// 添加充电站
export function addPosition(params) {
	return request.post('/addPosition', params)
}
// 充电站详情
export function getStationRead(params) {
	return request.get('/getStationRead', { params })
}
// 充电站修改
export function getStationUpdate(params) {
	return request.post('/getStationUpdate', params)
}
// 充电站删除
export function getStationDelete(params) {
	return request.post('/getStationDelete', params)
}

// 充电桩列表
export function getPileList(params) {
	return request.get('/getPileList', { params })
}
// 添加充电桩
export function addPile(params) {
	return request.post('/addPile', params)
}
// 充电桩详情
export function getPileRead(params) {
	return request.get('/getPileRead', { params })
}
// 充电桩修改
export function getPileUpdate(params) {
	return request.post('/getPileUpdate', params)
}
// 充电桩删除
export function getPileDelete(params) {
	return request.post('/getPileDelete', params)
}